Metrics for casts
curl --request GET \
--url https://api.neynar.com/v2/farcaster/cast/metrics/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/cast/metrics/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/cast/metrics/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metrics": [
{
"cast_count": 123,
"resolution_in_seconds": 123,
"start": "2023-11-07T05:31:56Z"
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Cast
Metrics for casts
Fetches metrics casts matching a query
GET
/
v2
/
farcaster
/
cast
/
metrics
/
Metrics for casts
Node.js SDK
🔗 SDK Method: fetchCastMetrics Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Headers
Query Parameters
Query string to search for casts
Example:
"star wars"
Interval of time for which to fetch metrics. Default is 30d.
Available options:
1d, 7d, 30d, 90d, 180d Fid of the user whose casts you want to search
Required range:
x >= 1Channel ID of the casts you want to search
Response
Success
Show child attributes
Show child attributes
Related topics
fetchCastMetricsOn castTo a target URLUsage of userExplore Event Propagation on FarcasterWas this page helpful?